
// double precision floating-point arithmetic
// author: Chun Hok Ho (cho -at- doc.ic.ac.uk)
// Department of Computing,
// Imperial College, London

`timescale 1ns / 100ps

module b_left_shifter (
	shift_in,
	shift_value,
	shift_out
);

input [47:0] shift_in;
input [5:0] shift_value;
output [47:0] shift_out;

assign shift_out = shift_in << shift_value;

endmodule 

module b_right_shifter (
	shift_in,
	shift_value,
	shift_out
);

input [47:0] shift_in;
input [5:0] shift_value;
output [47:0] shift_out;


assign shift_out = shift_in >> shift_value;

endmodule 
